GrailsHibernateTransactionManager (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Groovy] Class GrailsHibernateTransactionManager

    java.lang.Object
      org.springframework.transaction.support.AbstractPlatformTransactionManager
          org.springframework.orm.hibernate3.HibernateTransactionManager
              org.codehaus.groovy.grails.orm.hibernate.GrailsHibernateTransactionManager

    class GrailsHibernateTransactionManager
    extends org.springframework.orm.hibernate3.HibernateTransactionManager

Extends the standard class to always set the flush mode to manual when in a read-only transaction.

Authors:
  Burt Beckwith

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.HibernateTransactionManager
SYNCHRONIZATION_ALWAYS, SYNCHRONIZATION_ON_ACTUAL_TRANSACTION, SYNCHRONIZATION_NEVER

Fields inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager
SYNCHRONIZATION_ALWAYS, SYNCHRONIZATION_ON_ACTUAL_TRANSACTION, SYNCHRONIZATION_NEVER

Method Summary
`protected void` | `doBegin(java.lang.Object transaction, org.springframework.transaction.TransactionDefinition definition)`

Methods inherited from class org.springframework.orm.hibernate3.HibernateTransactionManager
org.springframework.orm.hibernate3.HibernateTransactionManager#afterPropertiesSet(), org.springframework.orm.hibernate3.HibernateTransactionManager#setSessionFactory(org.hibernate.SessionFactory), org.springframework.orm.hibernate3.HibernateTransactionManager#getSessionFactory(), org.springframework.orm.hibernate3.HibernateTransactionManager#getEntityInterceptor(), org.springframework.orm.hibernate3.HibernateTransactionManager#getJdbcExceptionTranslator(), org.springframework.orm.hibernate3.HibernateTransactionManager#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.orm.hibernate3.HibernateTransactionManager#setEntityInterceptorBeanName(java.lang.String), org.springframework.orm.hibernate3.HibernateTransactionManager#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.orm.hibernate3.HibernateTransactionManager#setJdbcExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator), org.springframework.orm.hibernate3.HibernateTransactionManager#setDataSource(javax.sql.DataSource), org.springframework.orm.hibernate3.HibernateTransactionManager#getDataSource(), org.springframework.orm.hibernate3.HibernateTransactionManager#setAutodetectDataSource(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#setPrepareConnection(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#setHibernateManagedSession(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#setEarlyFlushBeforeCommit(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#getResourceFactory(), org.springframework.orm.hibernate3.HibernateTransactionManager#commit(org.springframework.transaction.TransactionStatus), org.springframework.orm.hibernate3.HibernateTransactionManager#getTransaction(org.springframework.transaction.TransactionDefinition), org.springframework.orm.hibernate3.HibernateTransactionManager#rollback(org.springframework.transaction.TransactionStatus), org.springframework.orm.hibernate3.HibernateTransactionManager#isNestedTransactionAllowed(), org.springframework.orm.hibernate3.HibernateTransactionManager#setDefaultTimeout(int), org.springframework.orm.hibernate3.HibernateTransactionManager#setTransactionSynchronizationName(java.lang.String), org.springframework.orm.hibernate3.HibernateTransactionManager#setTransactionSynchronization(int), org.springframework.orm.hibernate3.HibernateTransactionManager#getTransactionSynchronization(), org.springframework.orm.hibernate3.HibernateTransactionManager#getDefaultTimeout(), org.springframework.orm.hibernate3.HibernateTransactionManager#setNestedTransactionAllowed(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#setValidateExistingTransaction(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#isValidateExistingTransaction(), org.springframework.orm.hibernate3.HibernateTransactionManager#setGlobalRollbackOnParticipationFailure(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#isGlobalRollbackOnParticipationFailure(), org.springframework.orm.hibernate3.HibernateTransactionManager#setFailEarlyOnGlobalRollbackOnly(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#isFailEarlyOnGlobalRollbackOnly(), org.springframework.orm.hibernate3.HibernateTransactionManager#setRollbackOnCommitFailure(boolean), org.springframework.orm.hibernate3.HibernateTransactionManager#isRollbackOnCommitFailure(), org.springframework.orm.hibernate3.HibernateTransactionManager#wait(), org.springframework.orm.hibernate3.HibernateTransactionManager#wait(long, int), org.springframework.orm.hibernate3.HibernateTransactionManager#wait(long), org.springframework.orm.hibernate3.HibernateTransactionManager#equals(java.lang.Object), org.springframework.orm.hibernate3.HibernateTransactionManager#toString(), org.springframework.orm.hibernate3.HibernateTransactionManager#hashCode(), org.springframework.orm.hibernate3.HibernateTransactionManager#getClass(), org.springframework.orm.hibernate3.HibernateTransactionManager#notify(), org.springframework.orm.hibernate3.HibernateTransactionManager#notifyAll()

Methods inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager
org.springframework.transaction.support.AbstractPlatformTransactionManager#commit(org.springframework.transaction.TransactionStatus), org.springframework.transaction.support.AbstractPlatformTransactionManager#getTransaction(org.springframework.transaction.TransactionDefinition), org.springframework.transaction.support.AbstractPlatformTransactionManager#rollback(org.springframework.transaction.TransactionStatus), org.springframework.transaction.support.AbstractPlatformTransactionManager#isNestedTransactionAllowed(), org.springframework.transaction.support.AbstractPlatformTransactionManager#setDefaultTimeout(int), org.springframework.transaction.support.AbstractPlatformTransactionManager#setTransactionSynchronizationName(java.lang.String), org.springframework.transaction.support.AbstractPlatformTransactionManager#setTransactionSynchronization(int), org.springframework.transaction.support.AbstractPlatformTransactionManager#getTransactionSynchronization(), org.springframework.transaction.support.AbstractPlatformTransactionManager#getDefaultTimeout(), org.springframework.transaction.support.AbstractPlatformTransactionManager#setNestedTransactionAllowed(boolean), org.springframework.transaction.support.AbstractPlatformTransactionManager#setValidateExistingTransaction(boolean), org.springframework.transaction.support.AbstractPlatformTransactionManager#isValidateExistingTransaction(), org.springframework.transaction.support.AbstractPlatformTransactionManager#setGlobalRollbackOnParticipationFailure(boolean), org.springframework.transaction.support.AbstractPlatformTransactionManager#isGlobalRollbackOnParticipationFailure(), org.springframework.transaction.support.AbstractPlatformTransactionManager#setFailEarlyOnGlobalRollbackOnly(boolean), org.springframework.transaction.support.AbstractPlatformTransactionManager#isFailEarlyOnGlobalRollbackOnly(), org.springframework.transaction.support.AbstractPlatformTransactionManager#setRollbackOnCommitFailure(boolean), org.springframework.transaction.support.AbstractPlatformTransactionManager#isRollbackOnCommitFailure(), org.springframework.transaction.support.AbstractPlatformTransactionManager#wait(), org.springframework.transaction.support.AbstractPlatformTransactionManager#wait(long, int), org.springframework.transaction.support.AbstractPlatformTransactionManager#wait(long), org.springframework.transaction.support.AbstractPlatformTransactionManager#equals(java.lang.Object), org.springframework.transaction.support.AbstractPlatformTransactionManager#toString(), org.springframework.transaction.support.AbstractPlatformTransactionManager#hashCode(), org.springframework.transaction.support.AbstractPlatformTransactionManager#getClass(), org.springframework.transaction.support.AbstractPlatformTransactionManager#notify(), org.springframework.transaction.support.AbstractPlatformTransactionManager#notifyAll()

Method Detail

### doBegin

    @Override
    protected void doBegin(java.lang.Object transaction, org.springframework.transaction.TransactionDefinition definition)

Groovy Documentation